public class Counter extends Object{
    /* Models a counter. */

    // Class variable
    private static int instanceCount = 0;

    // Instance variable
    private int value = 0;

    // Constructor
    public Counter(){
        // Sets up the counter.
        instanceCount += 1;
        reset();
    }

    // Mutator methods
    public void reset(){
        // Sets the counter to 0.
        value = 0;
    }

    public void increment(int amount){
        // Adds amount to the counter.
        value += amount;
    }

    public void decrement(int amount){
        // Subrtacts amount from the counter.
        value -= amount;
    }

    public void increment(){
        // Adds 1 to the counter.
        increment(1);
    }

    public void decrement(){
        // Subrtacts 1 from the counter.
        decrement(1);
    }

    // Accessor methods
    public int getValue(){
        // Returns the counter's value.
        return value;
    }

    public String toString(){
        // Returns the string representation of the counter.
        return "" + value;
    }

    public boolean equals(Object other){
        /* Returns true if this equals other 
           or false otherwise. */
        if (this == other) return true;
        if (!(other instanceof Counter)) return false;
        return this.value == ((Counter)other).value;
    }

    // Class methods

    public static int getInstanceCount(){
        return instanceCount;
    }

    public static void main(String[] args){
        Counter c1 = new Counter();
        System.out.println(c1);            // Prints 0
        System.out.println(c1.getValue()); // Prints 0
        c1.increment();
        System.out.println(c1);            // Prints 1
        c1.increment(5);
        System.out.println(c1);            // Prints 6
        c1.reset();
        System.out.println(c1);            // Prints 0
        Counter c2 = new Counter();
        System.out.println(
            Counter.getInstanceCount());   // Prints 2
        System.out.println(c1 == c1);      // Prints true
        System.out.println(c1 == c2);      // Prints false
        System.out.println(c1.equals(c2)); // Prints true
    }
}
