/*
File: SongDialog.java
A dialog view of a Song object, allowing editing
of its attributes.
*/

import BreezySwing.GBDialog;
import BreezySwing.GBFrame;
import BreezySwing.DoubleField;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JButton;

public class SongDialog extends GBDialog{
    
    JLabel titleLbl = addLabel("Title",        1,1,1,1);
    JTextField titleFld = addTextField("",     1,2,1,1);
    JLabel artistLbl = addLabel("Artist",      2,1,1,1);
    JTextField artistFld = addTextField("",    2,2,1,1);
    JLabel priceLbl = addLabel("Price",        3,1,1,1);
    DoubleField priceFld = addDoubleField(0.0, 3,2,1,1);
    JButton okBtn = addButton("OK",            4,1,1,1);
    JButton cancelBtn = addButton("Cancel",    4,2,1,1);

    // The dialog is passed a Song object and must
    // refer to it at several locations thereafter.

    private Song song;
   
    public SongDialog(GBFrame parent, Song song){
        // The next few lines are part of every dialog
        super(parent);                   // ** REQUIRED **
        setTitle("Edit Song");
        setDlgCloseIndicator("Cancel");  // Default is "Cancel"
        setSize(300, 200);               // Default is (300,300)
        this.song = song;
        titleFld.setText(song.title);
        artistFld.setText(song.artist);
        priceFld.setNumber(song.price);
    }
   
    public void buttonClicked(JButton button){
        if (button == okBtn){
            song.title = titleFld.getText();
            song.artist = artistFld.getText();
            song.price = priceFld.getNumber();
            setDlgCloseIndicator("OK");
        }
        dispose();
    }
}
