/*
File: ColorMeterDemo.java
Allows the user to explore RGB color values.
*/

import BreezySwing.GBFrame;
import BreezySwing.GBPanel; 
import javax.swing.JButton;
import java.awt.Color;

public class ColorMeterDemo extends GBFrame{

    private GBPanel colorPanel = addPanel(1,1,1,1);
    private JButton colorBtn = addButton("Change Color", 2,1,1,1);

    public ColorMeterDemo(){
        colorPanel.setBackground(Color.black);
        setTitle("Color Meter Demo");
        setSize(300, 200);
        setVisible(true);
    }

    public void buttonClicked(JButton buttonObj){
        /* Opens a color meter dialog on the current color
           and updates it if the user clicks "OK". */
        ColorMeterDialog dlg = 
            new ColorMeterDialog(this, colorPanel.getBackground());
        dlg.setVisible(true);
        if (dlg.getDlgCloseIndicator().equals("OK"))
            colorPanel.setBackground(dlg.getColor());
    }
     
    public static void main(String[] args){
        GBFrame theGUI = new ColorMeterDemo();
    }
}