/*
File: ExamplePanel2.java
Represents a drawing area for drawing shapes
at random positions.  Maintains shapes in memory
so they don't disappear, and supports erasing
'em all.
*/

import BreezySwing.GBPanel; 
import java.awt.Graphics;
import java.awt.Color;
import java.util.List;
import java.util.ArrayList;

public class ExamplePanel2 extends GBPanel{

    private List<Shape> shapeList = new ArrayList<Shape>();

    public ExamplePanel2(){
        setBackground(Color.black);
    }

    public void paintComponent(Graphics g){
        // Draws any ovals that currently exist.
        super.paintComponent(g);
        for (Shape shape : shapeList)
            shape.draw(g);
    }

    public void draw(Shape shape){
        // Adds a new shape to the list and repaints.
        shapeList.add(shape);
        repaint();
    }

    public void erase(){
        // Clears the list and repaints.
        shapeList.clear();
        repaint();
    }
}