/*
File: PanelDemo1.java
Allows the user to draw ovals at random positions
in a panel.
*/

import BreezySwing.GBFrame;
import BreezySwing.GBPanel; 
import javax.swing.JButton;
import java.awt.Color;
import java.util.Random;

public class PanelDemo1 extends GBFrame{

    // Create the custom panel first, then add it to the window
    private ExamplePanel1 canvas = new ExamplePanel1();

    private GBPanel panel = addPanel(canvas,    1,1,1,1);
    private JButton drawBtn = addButton("Draw", 2,1,1,1);

    private Color colors[] = {Color.green, Color.red, Color.yellow};
    private Random gen = new Random();
    private int size = 30;

    public PanelDemo1(){
        setTitle("Panel Demo 1");
        setSize(300, 200);
        setVisible(true);
    }

    public void buttonClicked(JButton button){
        // Creates an oval and draws it in the canvas.
        int x = gen.nextInt(canvas.getWidth());
        int y = gen.nextInt(canvas.getHeight());
        Color color = colors[gen.nextInt(3)];
        Shape shape = new Oval(x, y, size, size, color);
        canvas.draw(shape);
    }
     
    public static void main(String[] args){
        GBFrame theGUI = new PanelDemo1();
    }
}