/*
File: PanelDemo2.java
Allows the user to draw shapes at random positions
in a panel, and to erase 'em all.
*/

import BreezySwing.GBFrame;
import BreezySwing.GBPanel; 
import javax.swing.JButton;
import java.awt.Color;
import java.util.Random;

public class PanelDemo2 extends GBFrame{

    private ExamplePanel2 canvas = new ExamplePanel2();
 
    private GBPanel panel = addPanel(canvas,          1,1,2,1);
    private JButton drawBtn = addButton("Draw",       2,1,1,1);
    private JButton clearBtn = addButton("Erase All", 2,2,1,1);

    private Color colors[] = {Color.green, Color.red, Color.yellow};
    private Random gen = new Random();
    private int size = 30;

    public PanelDemo2(){
        setTitle("Panel Demo 2");
        setSize(300, 200);
        setVisible(true);
    }

    public void buttonClicked(JButton button){
        if (button == drawBtn)
            draw();
        else
            canvas.erase();
    }

    private void draw(){
        // Creates an oval and draws it in the canvas.
        int x = gen.nextInt(canvas.getWidth());
        int y = gen.nextInt(canvas.getHeight());
        Color color = colors[gen.nextInt(3)];
        Shape shape = new Oval(x, y, size, size, color);
        canvas.draw(shape);
    }
     
    public static void main(String[] args){
        GBFrame theGUI = new PanelDemo2();
    }
}