/*
File: Rectangle.java
Represents a rectangle, with a corner point, width, height,
and color.
*/
 
import java.awt.Graphics;
import java.awt.Color;

public class Rectangle implements Shape{

    private Color color;
    private int x, y, width, height;

    public Rectangle(int x, int y, int width, int height, 
                Color color){
        this.x = x;
        this.y = y;
        this.width = width;
        this.height = height;
        this.color = color;
    }

    public void draw(Graphics g){
        // Draws the oval in g.
        g.setColor(color);
        g.fillRect(x, y, width, height);
    }
}