/*
File: ExamplePanel1.java
Represents a drawing area for drawing the positions
of mouse presses.
*/

import BreezySwing.GBPanel; 
import java.awt.Graphics;
import java.awt.Color;
import java.util.List;
import java.util.ArrayList;

public class ExamplePanel1 extends GBPanel{

    private List<Shape> shapeList = new ArrayList<Shape>();

    public ExamplePanel1(){
        setBackground(Color.white);
    }

    public void paintComponent(Graphics g){
        // Draws any shapes that currently exist.
        super.paintComponent(g);
        for (Shape shape : shapeList)
            shape.draw(g);
    }

    public void mousePressed(int x, int y){
        /* Creates a new point, adds it to the shape list, 
           and repaints. */
        Point point = new Point(x, y, Color.black);
        shapeList.add(point);
        repaint();
    }
}