/*
File: ExamplePanel2.java
Represents a drawing area for drawing shapes
with the mouse.
*/

import BreezySwing.GBPanel; 
import java.awt.Graphics;
import java.awt.Color;
import java.util.List;
import java.util.ArrayList;
import java.util.Random;

public class ExamplePanel2 extends GBPanel{

    private List<Shape> shapeList = new ArrayList<Shape>();
    private int x, y;
    private Random gen = new Random();

    public ExamplePanel2(){
        setBackground(Color.white);
    }

    public void paintComponent(Graphics g){
        // Draws any shapes that currently exist.
        super.paintComponent(g);
        for (Shape shape : shapeList)
            shape.draw(g);
    }

    public void mousePressed(int x, int y){
        // Remembers the coordinates of the mouse.
        this.x = x;
        this.y = y;
    }

    public void mouseReleased(int x, int y){
        /* Creates a new oval, adds it to the shape list, 
           and repaints. */
        if ((x != this.x) && (y != this.y)){
            int w = x - this.x;
            int h = y - this.y;
            Color color = getRandomColor();
            Oval oval = new Oval(this.x, this.y, w, h, color);
            shapeList.add(oval);
            repaint();
        }
    }

    private Color getRandomColor(){
        int red = gen.nextInt(256);
        int green = gen.nextInt(256);
        int blue = gen.nextInt(256);
        return new Color(red, green, blue);
    }
}