/*
File: MouseDemo3.java
Allows the user to draw ovals by pressing, dragging,
and releasing the mouse.  Also allows the user to erase
an oval by selecting it with the mouse.
*/

import BreezySwing.GBFrame;
import BreezySwing.GBPanel; 
import javax.swing.JButton;
public class MouseDemo3 extends GBFrame{

    private ExamplePanel3 canvas = new ExamplePanel3();
 
    private GBPanel panel = addPanel(canvas,     1,1,2,1);
    private JButton drawBtn = addButton("Draw",  2,1,1,1);
    private JButton eraseBtn = addButton("Erase", 2,2,1,1);


    public MouseDemo3(){
        setTitle("Mouse Demo 3");
        drawBtn.setEnabled(false);
        setSize(300, 300);
        setVisible(true);
    }

    public void buttonClicked(JButton button){
        /* The selected command is disabled until another
           command is selected. */
        if (button == drawBtn){
            canvas.setCommand("draw");
            drawBtn.setEnabled(false);
            eraseBtn.setEnabled(true);
        }
        else{
            canvas.setCommand("erase");
            drawBtn.setEnabled(true);
            eraseBtn.setEnabled(false);
        }
    }

    public static void main(String[] args){
        GBFrame theGUI = new MouseDemo3();
    }
}