/*
File: MouseDemo4.java
Allows the user to draw ovals by pressing, dragging,
and releasing the mouse.  Also allows the user to erase
an oval by selecting it with the mouse, or allows the
user to move an oval by dragging it with mouse.
*/

import BreezySwing.GBFrame;
import BreezySwing.GBPanel; 
import javax.swing.JButton;
public class MouseDemo4 extends GBFrame{

    private ExamplePanel4 canvas = new ExamplePanel4();
 
    private GBPanel panel = addPanel(canvas,      1,1,3,1);
    private JButton drawBtn = addButton("Draw",   2,1,1,1);
    private JButton moveBtn = addButton("Move",   2,2,1,1);
    private JButton eraseBtn = addButton("Erase", 2,3,1,1);


    public MouseDemo4(){
        setTitle("Mouse Demo 4");
        drawBtn.setEnabled(false);
        setSize(300, 300);
        setVisible(true);
    }

    public void buttonClicked(JButton button){
        /* The selected command is disabled until another
           command is selected. */
        if (button == drawBtn){
            canvas.setCommand("draw");
            drawBtn.setEnabled(false);
            moveBtn.setEnabled(true);
            eraseBtn.setEnabled(true);
        }
        else if (button == eraseBtn){
            canvas.setCommand("erase");
            drawBtn.setEnabled(true);
            moveBtn.setEnabled(true);
            eraseBtn.setEnabled(false);
        }
        else if (button == moveBtn){
            canvas.setCommand("move");
            drawBtn.setEnabled(true);
            moveBtn.setEnabled(false);
            eraseBtn.setEnabled(true);
        }
    }

    public static void main(String[] args){
        GBFrame theGUI = new MouseDemo4();
    }
}