/*
File: Oval.java
Represents an oval, with a corner point, width, height,
and color.
*/
 
import java.awt.Graphics;
import java.awt.Color;

public class Oval implements Shape{

    private Color color;
    private int x, y, width, height;

    public Oval(int x, int y, int width, int height, 
                Color color){
        this.x = x;
        this.y = y;
        this.width = width;
        this.height = height;
        this.color = color;
    }

    public void draw(Graphics g){
        // Draws the oval in g.
        g.setColor(color);
        g.fillOval(x, y, width, height);
    }

    public boolean containsPoint(int x, int y){
        if ((x >= this.x) && (x <= this.x + this.width) &&
            (y >= this.y) && (y <= this.y + this.height))
            return true;
        else 
            return false;
    }

    public void translate(int x, int y){
        this.x = x;
        this.y = y;
    }
}