/*
File: Point.java
Represents a point, with x and y coordinates and a color.
*/
 
import java.awt.Graphics;
import java.awt.Color;

public class Point implements Shape{

    private Color color;
    private int x, y;

    public Point(int x, int y, Color color){
        this.x = x;
        this.y = y;
        this.color = color;
    }

    public void draw(Graphics g){
        /* Draws the string "(x, y)" 
           at position (x, y) in g. */
        g.setColor(color);
        g.drawString("(" + x + ", " + y + ")", x, y);
    }

    public boolean containsPoint(int x, int y){
        return (this.x == x) && (this.y == y);
    }

    public void translate(int x, int y){
        this.x = x;
        this.y = y;
    }
}