/*
File: ImageDemo.java
Displays an image and a caption.
*/

import BreezySwing.GBFrame;
import javax.swing.JLabel;
import javax.swing.Icon;
import javax.swing.ImageIcon;
import java.awt.Color;
import java.awt.Font;
import java.awt.GridBagConstraints;

public class ImageDemo extends GBFrame{

    private Icon image = new ImageIcon("smokey.jpg");
    private JLabel imageLabel = addLabel(image, 1, 1, 1, 1);
    private JLabel captionLabel = addLabel("Smokey the Cat", 2,1,1,1, 
                                           GridBagConstraints.CENTER);

    public ImageDemo(){
        // Set the label's font style, size, and color
        captionLabel.setFont(new Font("Verdana", Font.ITALIC, 24));
        captionLabel.setForeground(Color.blue);
        // Set the window's dimensions, 
        // leaving room for the title bar and caption
        setSize(image.getIconWidth(), image.getIconHeight() + 50);
        setTitle("Image Demo");
        setResizable(false);
        setVisible(true);
    }

    // Create and display the window when the app launches
    public static void main(String[] args){
        GBFrame theGUI = new ImageDemo();
    }
}
