/*
File: ButtonDemo.java
Illustrates command buttons and handling user events.
*/

import BreezySwing.GBFrame; 
import javax.swing.JLabel;
import javax.swing.JButton;
import java.awt.GridBagConstraints;

public class ButtonDemo extends GBFrame{

    private JLabel label = addLabel("Hello world!", 1,1,2,1,
                                   GridBagConstraints.CENTER);
    private JButton clearBtn = addButton("Clear", 2,1,1,1);
    private JButton restoreBtn = addButton("Restore", 2,2,1,1);

    public ButtonDemo(){
        restoreBtn.setEnabled(false);
        setTitle("Button Demo");
        setSize(200, 100);
        setVisible(true);
    }

    public void buttonClicked(JButton button){
        if (button == clearBtn){
            label.setText("");
            clearBtn.setEnabled(false);
            restoreBtn.setEnabled(true);
        }else{
            label.setText("Hello world!");
            restoreBtn.setEnabled(false);
            clearBtn.setEnabled(true);
        }
    }

    public static void main(String[] args){
        GBFrame theGUI = new ButtonDemo();
    }
}