/*
File: CalculatorDemo.java
Illustrates command buttons and handling user events.
*/

import BreezySwing.GBFrame; 
import javax.swing.JLabel;
import javax.swing.JButton;
import java.awt.GridBagConstraints;

public class CalculatorDemo extends GBFrame{

    private JLabel digits = addLabel("", 1,1,3,1,
                                     GridBagConstraints.CENTER);

    public CalculatorDemo(){
        // Add buttons for the digits 1-9 to the window.
        int digit = 9;
        for (int row = 2; row <= 4; row ++)
            for (int column = 1; column <= 3; column++){
                JButton button = addButton("" + digit, row, column, 1, 1);
                digit -= 1;
            }
        setTitle("Calculator Demo");
        setSize(200, 150);
        setVisible(true);
    }
        
    public void buttonClicked(JButton button){
        // Append the button's digit to the digits label.
        String digit = button.getText();
        digits.setText(digits.getText() + digit);
    }

    public static void main(String[] args){
        GBFrame theGUI = new CalculatorDemo();
    }
}