/*
File: NumberFieldDemo.java
Computes and displays the square root of a given input number,
to two places of precision.
*/

import BreezySwing.GBFrame; 
import javax.swing.JLabel;
import javax.swing.JButton;
import BreezySwing.IntegerField;
import BreezySwing.DoubleField;

public class NumberFieldDemo extends GBFrame{

    private JLabel inputLbl = addLabel("Input integer", 1,1,1,1);
    private JLabel outputLbl = addLabel("Square root", 2,1,1,1);
    private IntegerField inputFld = addIntegerField(0, 1,2,1,1);
    private DoubleField outputFld = addDoubleField(0.0, 2,2,1,1);
    private JButton convertBtn = addButton("Convert", 3,1,2,1);

    public NumberFieldDemo(){
        outputFld.setEditable(false);
        outputFld.setPrecision(2);
        setTitle("Number Field Demo");
        setSize(250, 100);
        setVisible(true);
    }

    public void buttonClicked(JButton button){
        int input = inputFld.getNumber();
        double result = Math.sqrt(input);
        outputFld.setNumber(result);
    }

    public static void main(String[] args){
        GBFrame theGUI = new NumberFieldDemo();
    }
}