/*
File: Thermometer.java
A model for temperature conversion between Fahrenheit and Celsius.
*/

public class Thermometer{

    private int degreesCelsius;

    public Thermometer(){
        // Sets up the model.
        // Celsius is the standard.
        degreesCelsius = 0;
    }

    public int getCelsius(){
        // Returns the Celsius temperature.
        return degreesCelsius;
    }

    public void setCelsius(int degrees){
        // Sets the thermometer to degrees in Celsius.
        degreesCelsius = degrees;
    }

    public int getFahrenheit(){
        // Returns the Fahrenheit temperature.
        return (int)Math.round(degreesCelsius * 9 / 5.0 + 32);
    }

    public void setFahrenheit(int degrees){
        // Sets the thermometer to degrees in Fahrenheit.
        degreesCelsius = (int)Math.round((degrees - 32) * 5 / 9.0);
    }
}
