/*
File: ThermometerView1.java
A view using fields and buttons for temperature conversion 
between Fahrenheit and Celsius.
*/

import BreezySwing.GBFrame;
import javax.swing.JLabel;
import javax.swing.JButton;
import BreezySwing.IntegerField;

public class ThermometerView1 extends GBFrame{

    private JLabel fahrLbl = addLabel("Fahrenheit", 1,1,1,1);
    private JLabel celsiusLbl = addLabel("Celsius", 1,2,1,1);
    private IntegerField fahrFld = addIntegerField(32, 2,1,1,1);
    private IntegerField celsiusFld = addIntegerField(0, 2,2,1,1);
    private JButton fahrToCelsiusBtn = addButton(">>>", 3,1,1,1);
    private JButton celsuiusTofahrBtn = addButton("<<<", 3,2,1,1);

    // Model for the application
    private Thermometer thermometer;

    public ThermometerView1(Thermometer thermometer){
        this.thermometer = thermometer;
        setTitle("Temperature Converter");
        setSize(300, 100);
        setVisible(true);
    }

    public void buttonClicked(JButton button){
        int degrees;
        if (button == fahrToCelsiusBtn){
            degrees = fahrFld.getNumber();
            thermometer.setFahrenheit(degrees);
            celsiusFld.setNumber(thermometer.getCelsius());
        }else{
            degrees = celsiusFld.getNumber();
            thermometer.setCelsius(degrees);
            fahrFld.setNumber(thermometer.getFahrenheit());
        }
    }

    //  Create the model and the view, connect them, 
    //  and start the app.
    public static void main(String[] args){
        Thermometer thermometer = new Thermometer();
        GBFrame theGUI = new ThermometerView1(thermometer);
    }
}