/*
File: ThermometerView2.java
A view using sliders for temperature conversion 
between Fahrenheit and Celsius.
*/

import BreezySwing.GBFrame;
import javax.swing.JLabel;
import javax.swing.JButton;
import javax.swing.JSlider;

public class ThermometerView2 extends GBFrame{

    private JLabel fahrLbl = addLabel("Fahrenheit", 1,1,1,1);
    private JLabel celsiusLbl = addLabel("Celsius", 2,1,1,1);
    private JSlider fahrSlider = addSlider(         1,2,1,1);
    private JSlider celsiusSlider = addSlider(      2,2,1,1);
    private JLabel fahrValue = addLabel("32",       1,3,1,1);
    private JLabel celsiusValue = addLabel("0",     2,3,1,1);

    // Model for the application
    private Thermometer thermometer;

    public ThermometerView2(Thermometer thermometer){
        this.thermometer = thermometer;
        initSlider(fahrSlider, -459, 212, 32);
        initSlider(celsiusSlider, -279, 100, 0);
        setTitle("Temperature Converter");
        setSize(400, 100);
        setVisible(true);
    }

    private void initSlider(JSlider slider, int min, int max, 
                            int initValue){
        // Initialize the relevant attributes of a slider.
        slider.setPaintTicks(true);
        slider.setPaintTrack(true);
        slider.setMajorTickSpacing(20);
        slider.setMinimum(min);
        slider.setMaximum(max);
        slider.setValue(initValue);
    }

    public void sliderChanged(JSlider slider){
        // Respond to a user's drag of a slider bar.
        int degrees;
        if (slider == fahrSlider){
            degrees = fahrSlider.getValue();
            fahrValue.setText("" + degrees);
            thermometer.setFahrenheit(degrees);
            degrees = (int)Math.round(thermometer.getCelsius());
            celsiusSlider.setValue(degrees);
            celsiusValue.setText("" + degrees);
        }else{
            degrees = celsiusSlider.getValue();
            celsiusValue.setText("" + degrees);
            thermometer.setCelsius(degrees);
            degrees = (int)Math.round(thermometer.getFahrenheit());
            fahrSlider.setValue(degrees);
            fahrValue.setText("" + degrees);
        }
    }

    //  Create the model and the view, connect them, 
    //  and start the app.
    public static void main(String[] args){
        Thermometer thermometer = new Thermometer();
        GBFrame theGUI = new ThermometerView2(thermometer);
    }
}