/*
File: RadioButtonDemo.java
Allows the user to place a restaurant order from a set
of radio button options."""
*/

import BreezySwing.GBFrame;
import javax.swing.JLabel; 
import javax.swing.JButton;
import javax.swing.JRadioButton;
import javax.swing.ButtonGroup;
import java.awt.GridBagConstraints;

public class RadioButtonDemo extends GBFrame{

    private JLabel meatLbl = addLabel("Meat",                     1,1,1,1);
    private JRadioButton beefRB = addRadioButton("Beef",          2,1,1,1);
    private JRadioButton chickRB = addRadioButton("Chicken",      3,1,1,1);
    private JLabel taterLbl = addLabel("Potato",                  1,2,1,1);
    private JRadioButton bakedRB = addRadioButton("Baked potato", 2,2,1,1);
    private JRadioButton friesRB = addRadioButton("French fries", 3,2,1,1);
    private JLabel veggieLbl = addLabel("Vegetable",              1,3,1,1);
    private JRadioButton sauceRB = addRadioButton("Apple sauce",  2,3,1,1);
    private JRadioButton beanRB = addRadioButton("Green beans",   3,3,1,1);
    private JButton orderBtn = addButton("Order",                 4,1,3,1);

    public RadioButtonDemo(){
        // Add radio buttons to button groups.
        ButtonGroup meatBG = new ButtonGroup();
        ButtonGroup taterBG = new ButtonGroup();
        ButtonGroup veggieBG = new ButtonGroup();
        meatBG.add(beefRB);
        meatBG.add(chickRB);
        taterBG.add(friesRB);
        taterBG.add(bakedRB);
        veggieBG.add(beanRB);
        veggieBG.add(sauceRB);
        setTitle("Radio Button Demo");
        setSize(350, 150);
        setVisible(true);
    }

    public void buttonClicked(JButton button){
        String message = "";
        if (beefRB.isSelected())
            message += "Beef\n";
        if (chickRB.isSelected())
            message += "Chicken\n";
        if (friesRB.isSelected())
            message += "French fries\n";
        if (bakedRB.isSelected())
            message += "Baked potato\n";
        if (beanRB.isSelected())
            message += "Green beans\n";
        if (sauceRB.isSelected())
            message += "Apple sauce\n";
        if (message.equals(""))
            message = "No food ordered!";
        messageBox("Customer order:\n\n" + message);
    }

    public static void main(String[] args){
        GBFrame theGUI = new RadioButtonDemo();
    }
}